Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network95.0.96.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
95.0.96.0
Broadcast address
95.0.127.255
First usable
95.0.96.1
Last usable
95.0.127.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 5F006000 · Integer 1593860096 to 1593868287
Reverse DNS zones
96.0.95.in-addr.arpa
97.0.95.in-addr.arpa
98.0.95.in-addr.arpa
99.0.95.in-addr.arpa
100.0.95.in-addr.arpa
101.0.95.in-addr.arpa
102.0.95.in-addr.arpa
103.0.95.in-addr.arpa
104.0.95.in-addr.arpa
105.0.95.in-addr.arpa
106.0.95.in-addr.arpa
107.0.95.in-addr.arpa
108.0.95.in-addr.arpa
109.0.95.in-addr.arpa
110.0.95.in-addr.arpa
111.0.95.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011111.00000000.01100000.0000000095.0.96.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01011111.00000000.01100000.0000000095.0.96.0
Broadcast01011111.00000000.01111111.1111111195.0.127.255
Split into smaller subnets/30

95.0.96.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
195.0.96.0/3095.0.96.1 to 95.0.96.295.0.96.32
295.0.96.4/3095.0.96.5 to 95.0.96.695.0.96.72
395.0.96.8/3095.0.96.9 to 95.0.96.1095.0.96.112
495.0.96.12/3095.0.96.13 to 95.0.96.1495.0.96.152
595.0.96.16/3095.0.96.17 to 95.0.96.1895.0.96.192
695.0.96.20/3095.0.96.21 to 95.0.96.2295.0.96.232
795.0.96.24/3095.0.96.25 to 95.0.96.2695.0.96.272
895.0.96.28/3095.0.96.29 to 95.0.96.3095.0.96.312
995.0.96.32/3095.0.96.33 to 95.0.96.3495.0.96.352
1095.0.96.36/3095.0.96.37 to 95.0.96.3895.0.96.392
1195.0.96.40/3095.0.96.41 to 95.0.96.4295.0.96.432
1295.0.96.44/3095.0.96.45 to 95.0.96.4695.0.96.472
1395.0.96.48/3095.0.96.49 to 95.0.96.5095.0.96.512
1495.0.96.52/3095.0.96.53 to 95.0.96.5495.0.96.552
1595.0.96.56/3095.0.96.57 to 95.0.96.5895.0.96.592
1695.0.96.60/3095.0.96.61 to 95.0.96.6295.0.96.632
1795.0.96.64/3095.0.96.65 to 95.0.96.6695.0.96.672
1895.0.96.68/3095.0.96.69 to 95.0.96.7095.0.96.712
1995.0.96.72/3095.0.96.73 to 95.0.96.7495.0.96.752
2095.0.96.76/3095.0.96.77 to 95.0.96.7895.0.96.792
2195.0.96.80/3095.0.96.81 to 95.0.96.8295.0.96.832
2295.0.96.84/3095.0.96.85 to 95.0.96.8695.0.96.872
2395.0.96.88/3095.0.96.89 to 95.0.96.9095.0.96.912
2495.0.96.92/3095.0.96.93 to 95.0.96.9495.0.96.952
2595.0.96.96/3095.0.96.97 to 95.0.96.9895.0.96.992
2695.0.96.100/3095.0.96.101 to 95.0.96.10295.0.96.1032
2795.0.96.104/3095.0.96.105 to 95.0.96.10695.0.96.1072
2895.0.96.108/3095.0.96.109 to 95.0.96.11095.0.96.1112
2995.0.96.112/3095.0.96.113 to 95.0.96.11495.0.96.1152
3095.0.96.116/3095.0.96.117 to 95.0.96.11895.0.96.1192
3195.0.96.120/3095.0.96.121 to 95.0.96.12295.0.96.1232
3295.0.96.124/3095.0.96.125 to 95.0.96.12695.0.96.1272
3395.0.96.128/3095.0.96.129 to 95.0.96.13095.0.96.1312
3495.0.96.132/3095.0.96.133 to 95.0.96.13495.0.96.1352
3595.0.96.136/3095.0.96.137 to 95.0.96.13895.0.96.1392
3695.0.96.140/3095.0.96.141 to 95.0.96.14295.0.96.1432
3795.0.96.144/3095.0.96.145 to 95.0.96.14695.0.96.1472
3895.0.96.148/3095.0.96.149 to 95.0.96.15095.0.96.1512
3995.0.96.152/3095.0.96.153 to 95.0.96.15495.0.96.1552
4095.0.96.156/3095.0.96.157 to 95.0.96.15895.0.96.1592
4195.0.96.160/3095.0.96.161 to 95.0.96.16295.0.96.1632
4295.0.96.164/3095.0.96.165 to 95.0.96.16695.0.96.1672
4395.0.96.168/3095.0.96.169 to 95.0.96.17095.0.96.1712
4495.0.96.172/3095.0.96.173 to 95.0.96.17495.0.96.1752
4595.0.96.176/3095.0.96.177 to 95.0.96.17895.0.96.1792
4695.0.96.180/3095.0.96.181 to 95.0.96.18295.0.96.1832
4795.0.96.184/3095.0.96.185 to 95.0.96.18695.0.96.1872
4895.0.96.188/3095.0.96.189 to 95.0.96.19095.0.96.1912
4995.0.96.192/3095.0.96.193 to 95.0.96.19495.0.96.1952
5095.0.96.196/3095.0.96.197 to 95.0.96.19895.0.96.1992
5195.0.96.200/3095.0.96.201 to 95.0.96.20295.0.96.2032
5295.0.96.204/3095.0.96.205 to 95.0.96.20695.0.96.2072
5395.0.96.208/3095.0.96.209 to 95.0.96.21095.0.96.2112
5495.0.96.212/3095.0.96.213 to 95.0.96.21495.0.96.2152
5595.0.96.216/3095.0.96.217 to 95.0.96.21895.0.96.2192
5695.0.96.220/3095.0.96.221 to 95.0.96.22295.0.96.2232
5795.0.96.224/3095.0.96.225 to 95.0.96.22695.0.96.2272
5895.0.96.228/3095.0.96.229 to 95.0.96.23095.0.96.2312
5995.0.96.232/3095.0.96.233 to 95.0.96.23495.0.96.2352
6095.0.96.236/3095.0.96.237 to 95.0.96.23895.0.96.2392
6195.0.96.240/3095.0.96.241 to 95.0.96.24295.0.96.2432
6295.0.96.244/3095.0.96.245 to 95.0.96.24695.0.96.2472
6395.0.96.248/3095.0.96.249 to 95.0.96.25095.0.96.2512
6495.0.96.252/3095.0.96.253 to 95.0.96.25495.0.96.2552
6595.0.97.0/3095.0.97.1 to 95.0.97.295.0.97.32
6695.0.97.4/3095.0.97.5 to 95.0.97.695.0.97.72
6795.0.97.8/3095.0.97.9 to 95.0.97.1095.0.97.112
6895.0.97.12/3095.0.97.13 to 95.0.97.1495.0.97.152
6995.0.97.16/3095.0.97.17 to 95.0.97.1895.0.97.192
7095.0.97.20/3095.0.97.21 to 95.0.97.2295.0.97.232
7195.0.97.24/3095.0.97.25 to 95.0.97.2695.0.97.272
7295.0.97.28/3095.0.97.29 to 95.0.97.3095.0.97.312
7395.0.97.32/3095.0.97.33 to 95.0.97.3495.0.97.352
7495.0.97.36/3095.0.97.37 to 95.0.97.3895.0.97.392
7595.0.97.40/3095.0.97.41 to 95.0.97.4295.0.97.432
7695.0.97.44/3095.0.97.45 to 95.0.97.4695.0.97.472
7795.0.97.48/3095.0.97.49 to 95.0.97.5095.0.97.512
7895.0.97.52/3095.0.97.53 to 95.0.97.5495.0.97.552
7995.0.97.56/3095.0.97.57 to 95.0.97.5895.0.97.592
8095.0.97.60/3095.0.97.61 to 95.0.97.6295.0.97.632
8195.0.97.64/3095.0.97.65 to 95.0.97.6695.0.97.672
8295.0.97.68/3095.0.97.69 to 95.0.97.7095.0.97.712
8395.0.97.72/3095.0.97.73 to 95.0.97.7495.0.97.752
8495.0.97.76/3095.0.97.77 to 95.0.97.7895.0.97.792
8595.0.97.80/3095.0.97.81 to 95.0.97.8295.0.97.832
8695.0.97.84/3095.0.97.85 to 95.0.97.8695.0.97.872
8795.0.97.88/3095.0.97.89 to 95.0.97.9095.0.97.912
8895.0.97.92/3095.0.97.93 to 95.0.97.9495.0.97.952
8995.0.97.96/3095.0.97.97 to 95.0.97.9895.0.97.992
9095.0.97.100/3095.0.97.101 to 95.0.97.10295.0.97.1032
9195.0.97.104/3095.0.97.105 to 95.0.97.10695.0.97.1072
9295.0.97.108/3095.0.97.109 to 95.0.97.11095.0.97.1112
9395.0.97.112/3095.0.97.113 to 95.0.97.11495.0.97.1152
9495.0.97.116/3095.0.97.117 to 95.0.97.11895.0.97.1192
9595.0.97.120/3095.0.97.121 to 95.0.97.12295.0.97.1232
9695.0.97.124/3095.0.97.125 to 95.0.97.12695.0.97.1272
9795.0.97.128/3095.0.97.129 to 95.0.97.13095.0.97.1312
9895.0.97.132/3095.0.97.133 to 95.0.97.13495.0.97.1352
9995.0.97.136/3095.0.97.137 to 95.0.97.13895.0.97.1392
10095.0.97.140/3095.0.97.141 to 95.0.97.14295.0.97.1432
10195.0.97.144/3095.0.97.145 to 95.0.97.14695.0.97.1472
10295.0.97.148/3095.0.97.149 to 95.0.97.15095.0.97.1512
10395.0.97.152/3095.0.97.153 to 95.0.97.15495.0.97.1552
10495.0.97.156/3095.0.97.157 to 95.0.97.15895.0.97.1592
10595.0.97.160/3095.0.97.161 to 95.0.97.16295.0.97.1632
10695.0.97.164/3095.0.97.165 to 95.0.97.16695.0.97.1672
10795.0.97.168/3095.0.97.169 to 95.0.97.17095.0.97.1712
10895.0.97.172/3095.0.97.173 to 95.0.97.17495.0.97.1752
10995.0.97.176/3095.0.97.177 to 95.0.97.17895.0.97.1792
11095.0.97.180/3095.0.97.181 to 95.0.97.18295.0.97.1832
11195.0.97.184/3095.0.97.185 to 95.0.97.18695.0.97.1872
11295.0.97.188/3095.0.97.189 to 95.0.97.19095.0.97.1912
11395.0.97.192/3095.0.97.193 to 95.0.97.19495.0.97.1952
11495.0.97.196/3095.0.97.197 to 95.0.97.19895.0.97.1992
11595.0.97.200/3095.0.97.201 to 95.0.97.20295.0.97.2032
11695.0.97.204/3095.0.97.205 to 95.0.97.20695.0.97.2072
11795.0.97.208/3095.0.97.209 to 95.0.97.21095.0.97.2112
11895.0.97.212/3095.0.97.213 to 95.0.97.21495.0.97.2152
11995.0.97.216/3095.0.97.217 to 95.0.97.21895.0.97.2192
12095.0.97.220/3095.0.97.221 to 95.0.97.22295.0.97.2232
12195.0.97.224/3095.0.97.225 to 95.0.97.22695.0.97.2272
12295.0.97.228/3095.0.97.229 to 95.0.97.23095.0.97.2312
12395.0.97.232/3095.0.97.233 to 95.0.97.23495.0.97.2352
12495.0.97.236/3095.0.97.237 to 95.0.97.23895.0.97.2392
12595.0.97.240/3095.0.97.241 to 95.0.97.24295.0.97.2432
12695.0.97.244/3095.0.97.245 to 95.0.97.24695.0.97.2472
12795.0.97.248/3095.0.97.249 to 95.0.97.25095.0.97.2512
12895.0.97.252/3095.0.97.253 to 95.0.97.25495.0.97.2552
12995.0.98.0/3095.0.98.1 to 95.0.98.295.0.98.32
13095.0.98.4/3095.0.98.5 to 95.0.98.695.0.98.72
13195.0.98.8/3095.0.98.9 to 95.0.98.1095.0.98.112
13295.0.98.12/3095.0.98.13 to 95.0.98.1495.0.98.152
13395.0.98.16/3095.0.98.17 to 95.0.98.1895.0.98.192
13495.0.98.20/3095.0.98.21 to 95.0.98.2295.0.98.232
13595.0.98.24/3095.0.98.25 to 95.0.98.2695.0.98.272
13695.0.98.28/3095.0.98.29 to 95.0.98.3095.0.98.312
13795.0.98.32/3095.0.98.33 to 95.0.98.3495.0.98.352
13895.0.98.36/3095.0.98.37 to 95.0.98.3895.0.98.392
13995.0.98.40/3095.0.98.41 to 95.0.98.4295.0.98.432
14095.0.98.44/3095.0.98.45 to 95.0.98.4695.0.98.472
14195.0.98.48/3095.0.98.49 to 95.0.98.5095.0.98.512
14295.0.98.52/3095.0.98.53 to 95.0.98.5495.0.98.552
14395.0.98.56/3095.0.98.57 to 95.0.98.5895.0.98.592
14495.0.98.60/3095.0.98.61 to 95.0.98.6295.0.98.632
14595.0.98.64/3095.0.98.65 to 95.0.98.6695.0.98.672
14695.0.98.68/3095.0.98.69 to 95.0.98.7095.0.98.712
14795.0.98.72/3095.0.98.73 to 95.0.98.7495.0.98.752
14895.0.98.76/3095.0.98.77 to 95.0.98.7895.0.98.792
14995.0.98.80/3095.0.98.81 to 95.0.98.8295.0.98.832
15095.0.98.84/3095.0.98.85 to 95.0.98.8695.0.98.872
15195.0.98.88/3095.0.98.89 to 95.0.98.9095.0.98.912
15295.0.98.92/3095.0.98.93 to 95.0.98.9495.0.98.952
15395.0.98.96/3095.0.98.97 to 95.0.98.9895.0.98.992
15495.0.98.100/3095.0.98.101 to 95.0.98.10295.0.98.1032
15595.0.98.104/3095.0.98.105 to 95.0.98.10695.0.98.1072
15695.0.98.108/3095.0.98.109 to 95.0.98.11095.0.98.1112
15795.0.98.112/3095.0.98.113 to 95.0.98.11495.0.98.1152
15895.0.98.116/3095.0.98.117 to 95.0.98.11895.0.98.1192
15995.0.98.120/3095.0.98.121 to 95.0.98.12295.0.98.1232
16095.0.98.124/3095.0.98.125 to 95.0.98.12695.0.98.1272
16195.0.98.128/3095.0.98.129 to 95.0.98.13095.0.98.1312
16295.0.98.132/3095.0.98.133 to 95.0.98.13495.0.98.1352
16395.0.98.136/3095.0.98.137 to 95.0.98.13895.0.98.1392
16495.0.98.140/3095.0.98.141 to 95.0.98.14295.0.98.1432
16595.0.98.144/3095.0.98.145 to 95.0.98.14695.0.98.1472
16695.0.98.148/3095.0.98.149 to 95.0.98.15095.0.98.1512
16795.0.98.152/3095.0.98.153 to 95.0.98.15495.0.98.1552
16895.0.98.156/3095.0.98.157 to 95.0.98.15895.0.98.1592
16995.0.98.160/3095.0.98.161 to 95.0.98.16295.0.98.1632
17095.0.98.164/3095.0.98.165 to 95.0.98.16695.0.98.1672
17195.0.98.168/3095.0.98.169 to 95.0.98.17095.0.98.1712
17295.0.98.172/3095.0.98.173 to 95.0.98.17495.0.98.1752
17395.0.98.176/3095.0.98.177 to 95.0.98.17895.0.98.1792
17495.0.98.180/3095.0.98.181 to 95.0.98.18295.0.98.1832
17595.0.98.184/3095.0.98.185 to 95.0.98.18695.0.98.1872
17695.0.98.188/3095.0.98.189 to 95.0.98.19095.0.98.1912
17795.0.98.192/3095.0.98.193 to 95.0.98.19495.0.98.1952
17895.0.98.196/3095.0.98.197 to 95.0.98.19895.0.98.1992
17995.0.98.200/3095.0.98.201 to 95.0.98.20295.0.98.2032
18095.0.98.204/3095.0.98.205 to 95.0.98.20695.0.98.2072
18195.0.98.208/3095.0.98.209 to 95.0.98.21095.0.98.2112
18295.0.98.212/3095.0.98.213 to 95.0.98.21495.0.98.2152
18395.0.98.216/3095.0.98.217 to 95.0.98.21895.0.98.2192
18495.0.98.220/3095.0.98.221 to 95.0.98.22295.0.98.2232
18595.0.98.224/3095.0.98.225 to 95.0.98.22695.0.98.2272
18695.0.98.228/3095.0.98.229 to 95.0.98.23095.0.98.2312
18795.0.98.232/3095.0.98.233 to 95.0.98.23495.0.98.2352
18895.0.98.236/3095.0.98.237 to 95.0.98.23895.0.98.2392
18995.0.98.240/3095.0.98.241 to 95.0.98.24295.0.98.2432
19095.0.98.244/3095.0.98.245 to 95.0.98.24695.0.98.2472
19195.0.98.248/3095.0.98.249 to 95.0.98.25095.0.98.2512
19295.0.98.252/3095.0.98.253 to 95.0.98.25495.0.98.2552
19395.0.99.0/3095.0.99.1 to 95.0.99.295.0.99.32
19495.0.99.4/3095.0.99.5 to 95.0.99.695.0.99.72
19595.0.99.8/3095.0.99.9 to 95.0.99.1095.0.99.112
19695.0.99.12/3095.0.99.13 to 95.0.99.1495.0.99.152
19795.0.99.16/3095.0.99.17 to 95.0.99.1895.0.99.192
19895.0.99.20/3095.0.99.21 to 95.0.99.2295.0.99.232
19995.0.99.24/3095.0.99.25 to 95.0.99.2695.0.99.272
20095.0.99.28/3095.0.99.29 to 95.0.99.3095.0.99.312
20195.0.99.32/3095.0.99.33 to 95.0.99.3495.0.99.352
20295.0.99.36/3095.0.99.37 to 95.0.99.3895.0.99.392
20395.0.99.40/3095.0.99.41 to 95.0.99.4295.0.99.432
20495.0.99.44/3095.0.99.45 to 95.0.99.4695.0.99.472
20595.0.99.48/3095.0.99.49 to 95.0.99.5095.0.99.512
20695.0.99.52/3095.0.99.53 to 95.0.99.5495.0.99.552
20795.0.99.56/3095.0.99.57 to 95.0.99.5895.0.99.592
20895.0.99.60/3095.0.99.61 to 95.0.99.6295.0.99.632
20995.0.99.64/3095.0.99.65 to 95.0.99.6695.0.99.672
21095.0.99.68/3095.0.99.69 to 95.0.99.7095.0.99.712
21195.0.99.72/3095.0.99.73 to 95.0.99.7495.0.99.752
21295.0.99.76/3095.0.99.77 to 95.0.99.7895.0.99.792
21395.0.99.80/3095.0.99.81 to 95.0.99.8295.0.99.832
21495.0.99.84/3095.0.99.85 to 95.0.99.8695.0.99.872
21595.0.99.88/3095.0.99.89 to 95.0.99.9095.0.99.912
21695.0.99.92/3095.0.99.93 to 95.0.99.9495.0.99.952
21795.0.99.96/3095.0.99.97 to 95.0.99.9895.0.99.992
21895.0.99.100/3095.0.99.101 to 95.0.99.10295.0.99.1032
21995.0.99.104/3095.0.99.105 to 95.0.99.10695.0.99.1072
22095.0.99.108/3095.0.99.109 to 95.0.99.11095.0.99.1112
22195.0.99.112/3095.0.99.113 to 95.0.99.11495.0.99.1152
22295.0.99.116/3095.0.99.117 to 95.0.99.11895.0.99.1192
22395.0.99.120/3095.0.99.121 to 95.0.99.12295.0.99.1232
22495.0.99.124/3095.0.99.125 to 95.0.99.12695.0.99.1272
22595.0.99.128/3095.0.99.129 to 95.0.99.13095.0.99.1312
22695.0.99.132/3095.0.99.133 to 95.0.99.13495.0.99.1352
22795.0.99.136/3095.0.99.137 to 95.0.99.13895.0.99.1392
22895.0.99.140/3095.0.99.141 to 95.0.99.14295.0.99.1432
22995.0.99.144/3095.0.99.145 to 95.0.99.14695.0.99.1472
23095.0.99.148/3095.0.99.149 to 95.0.99.15095.0.99.1512
23195.0.99.152/3095.0.99.153 to 95.0.99.15495.0.99.1552
23295.0.99.156/3095.0.99.157 to 95.0.99.15895.0.99.1592
23395.0.99.160/3095.0.99.161 to 95.0.99.16295.0.99.1632
23495.0.99.164/3095.0.99.165 to 95.0.99.16695.0.99.1672
23595.0.99.168/3095.0.99.169 to 95.0.99.17095.0.99.1712
23695.0.99.172/3095.0.99.173 to 95.0.99.17495.0.99.1752
23795.0.99.176/3095.0.99.177 to 95.0.99.17895.0.99.1792
23895.0.99.180/3095.0.99.181 to 95.0.99.18295.0.99.1832
23995.0.99.184/3095.0.99.185 to 95.0.99.18695.0.99.1872
24095.0.99.188/3095.0.99.189 to 95.0.99.19095.0.99.1912
24195.0.99.192/3095.0.99.193 to 95.0.99.19495.0.99.1952
24295.0.99.196/3095.0.99.197 to 95.0.99.19895.0.99.1992
24395.0.99.200/3095.0.99.201 to 95.0.99.20295.0.99.2032
24495.0.99.204/3095.0.99.205 to 95.0.99.20695.0.99.2072
24595.0.99.208/3095.0.99.209 to 95.0.99.21095.0.99.2112
24695.0.99.212/3095.0.99.213 to 95.0.99.21495.0.99.2152
24795.0.99.216/3095.0.99.217 to 95.0.99.21895.0.99.2192
24895.0.99.220/3095.0.99.221 to 95.0.99.22295.0.99.2232
24995.0.99.224/3095.0.99.225 to 95.0.99.22695.0.99.2272
25095.0.99.228/3095.0.99.229 to 95.0.99.23095.0.99.2312
25195.0.99.232/3095.0.99.233 to 95.0.99.23495.0.99.2352
25295.0.99.236/3095.0.99.237 to 95.0.99.23895.0.99.2392
25395.0.99.240/3095.0.99.241 to 95.0.99.24295.0.99.2432
25495.0.99.244/3095.0.99.245 to 95.0.99.24695.0.99.2472
25595.0.99.248/3095.0.99.249 to 95.0.99.25095.0.99.2512
25695.0.99.252/3095.0.99.253 to 95.0.99.25495.0.99.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses